package com.unis.base.server.service.impl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.DYpxxHisVO;
import com.unis.base.common.vo.DYpxxQueryHisVO;
import com.unis.base.server.domain.DYpxxHisDomain;
import com.unis.base.server.service.DYpxxHisService;
/**
 * @author 张琪
 * @date 2019年9月22日 下午2:34:25
 * @description
 */
@Service("dYpxxHisService")
public class DYpxxHisServiceImpl implements DYpxxHisService{
	@Autowired
	private DYpxxHisDomain dYpxxHisDomain;
	/**
	 * 分页查询条件
	 */

	@Override
	public PageInfo<DYpxxHisVO> getDYpxxHisList(DYpxxQueryHisVO dYpxxQueryHisVO, Integer pageNum,
			Integer pageSize) {
		return dYpxxHisDomain.getDYpxxHisListByQuery(dYpxxQueryHisVO, pageNum, pageSize);
	}

	/**
	 *  根据主键ID获取作业历史信息
	 * @param lsId
	 * @return
	 */
	@Override
	public DYpxxHisVO getDYpxxHisInfoByLsId(String lsId) {
		return dYpxxHisDomain.getDYpxxHisInfoByLsId(lsId);
	}

	/**
	 * DYpxxHisVO
	 * 新增作业历史记录
	 */
	@Override
	public int insert(DYpxxHisVO DYpxxHisVO) {
		return dYpxxHisDomain.insert(DYpxxHisVO);
	}
}
